
/*
 * 本时生活
 */

const app = getApp()

Page({

    /**
     * 页面的初始数据
     */
    data: {
        isUser      : false, //用户登录状态
        indexArr    : '',    //商品列表
        page        : '',    //下一页
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad (options) {
        if(app.globalData.isUser){
            this.setData({
                isUser: app.globalData.isUser
            })
        }

        wx.$api.index.redwine().then(res=>{
            this.setData({
                indexArr : res.data.data,
                page     : res.data.page
            })
        }).catch(err => {});
    },

    /**
     * 处理未登录时的转跳
     */
    userNav(e){
        let pageUrl = e.currentTarget.dataset.url
        if(this.data.isUser){
            wx.navigateTo({
                url: pageUrl
            })
        }else{
            // 去登录
            wx.navigateTo({
                url: "/pages/login/login?way=activity"
            })
        }
    }
})